summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dan-Simon Myrland <dansimon@radiotube.org>2017-03-24 16:47:09 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-03-25 00:07:32 +0000
commitfad44542f2c80462e9ccac5a193b43b0880f1b4f (patch)
treed4d11d10ef0b8f9107b3975fbd2d8bbfd2a7c319 /games
parentb07409795c2d101f48f34a81a465b319f5ad8623 (diff)
downloadslackbuilds-fad44542f2c80462e9ccac5a193b43b0880f1b4f.tar.gz
slackbuilds-fad44542f2c80462e9ccac5a193b43b0880f1b4f.tar.xz
games/alienwave: Added (ncurses space shooter).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/alienwave/README2
-rw-r--r--games/alienwave/alienwave.SlackBuild61
-rw-r--r--games/alienwave/alienwave.info10
-rw-r--r--games/alienwave/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/games/alienwave/README b/games/alienwave/README
new file mode 100644
index 0000000000..5691b5be63
--- /dev/null
+++ b/games/alienwave/README
@@ -0,0 +1,2 @@
+Alienwave is a Galaga-like space shooter using ncurses. It can be run
+without X-Windows (or in an xterm).
diff --git a/games/alienwave/alienwave.SlackBuild b/games/alienwave/alienwave.SlackBuild
new file mode 100644
index 0000000000..a3dcfd1d33
--- /dev/null
+++ b/games/alienwave/alienwave.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+# Slackware build script for alienwave
+# Written by Dan-Simon Myrland <dansimon@radiotube.org>
+
+PRGNAM=alienwave
+VERSION=${VERSION:-0.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/bin
+mv $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README STORY TO_DO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/alienwave/alienwave.info b/games/alienwave/alienwave.info
new file mode 100644
index 0000000000..087336d20e
--- /dev/null
+++ b/games/alienwave/alienwave.info
@@ -0,0 +1,10 @@
+PRGNAM="alienwave"
+VERSION="0.4.0"
+HOMEPAGE="http://www.alessandropira.org/alienwave/aw.html"
+DOWNLOAD="http://www.alessandropira.org/alienwave/alienwave-0.4.0.tar.gz"
+MD5SUM="8cc34684514885cb74b6604c850007fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dan-Simon Myrland"
+EMAIL="dansimon@radiotube.org"
diff --git a/games/alienwave/slack-desc b/games/alienwave/slack-desc
new file mode 100644
index 0000000000..7e88fe6f07
--- /dev/null
+++ b/games/alienwave/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alienwave: alienwave (ncurses space shooter)
+alienwave:
+alienwave: Alienwave is a Galaga-like space shooter using ncurses. It can be run
+alienwave: without X-Windows (or in an xterm).
+alienwave:
+alienwave:
+alienwave:
+alienwave:
+alienwave:
+alienwave:
+alienwave: